---

# Versions as of 10.15.1 release, on 2019-10-29

homebrew_install: https://raw.githubusercontent.com/Homebrew/install/b8337eab18994e6b99fe4101f6322877b08c5796/install
homebrew_cli_version: d37831219df2c4976eddeba3076cfba6f3486d1d
homebrew_cli_version_final: 77311e404565ead0d77e3a5772c4197f35b2365b
homebrew_autoupdate: false

homebrew_taps:
  - homebrew/core
  - homebrew/cask
  - name: gitlab/shared-runners
    url: https://gitlab.com/gitlab-org/ci-cd/shared-runners/homebrew.git

homebrew_taps_versions:
  - path: "{{ homebrew_repository }}/Library/Taps/homebrew/homebrew-core"
    version: 4e7a1c9368f57e20cad481cdb7b3663448f89a66
    version_final: 8f94cbb22856c375b04b4aabe73071645e591492
  - path: "{{ homebrew_repository }}/Library/Taps/homebrew/homebrew-cask"
    version: f95318729061b53a57a20e2e39984b4c3d2b5318
    version_final: b900163b168db1153147b33308ba03ee900f8fae
  - path: "{{ homebrew_repository }}/Library/Taps/gitlab/homebrew-shared-runners"
    version: 1cdfcf448e4bf3eca01e9ad1fc2500e877bb9e19
    version_final: 3efc2bceb3cc4419f9b123320fa961a331a9545e

homebrew_installed_packages:
  - coreutils
  # Language and Runtime
  - gcc
  # Package Management
  - carthage
  # Utilities
  - curl
  - git-lfs
  - wget
  - openssl@1.1
  - jq
  - gpg
  - gitlab/shared-runners/sshpass
  - httpd # for brew test php
  - php
  - postgres

homebrew_cask_apps:
  # Language and Runtime
  - powershell

#######################################################################
## asdf-vm
#######################################################################

asdf_version: v0.7.4
asdf_homebrew_deps:
  - coreutils
  - curl
  - git
asdf_plugins:
  - name: dotnet-core
    versions:
      - "3.0.100"
    global: "3.0.100"
  - name: bazel
    versions:
      - "1.1.0"
    global: "1.1.0"
  - name: flutter
    versions:
      - "1.9.1+hotfix.6-stable"
    global: "1.9.1+hotfix.6-stable"
  - name: rust
    versions:
      - "1.38.0"
    global: "1.38.0"
  - name: golang
    versions:
      - "1.13.3"
    global: "1.13.3"
  - name: gradle
    versions:
      - "5.6.3"
    global: "5.6.3"
  - name: maven
    versions:
      - "3.6.2"
    global: "3.6.2"
  - name: nodejs
    versions:
      - "12.13.0"
    global: "12.13.0"
  - name: ruby
    versions:
      - "2.6.5"
    global: "2.6.5"
  - name: java
    versions:
      - "adoptopenjdk-13.0.1+9.1"
    global: "adoptopenjdk-13.0.1+9.1"
  - name: python
    versions:
      - "2.7.17"
      - "3.8.0"
    global: "3.8.0 2.7.17"
  - name: gcloud
    versions:
      - "269.0.0"
    global: "269.0.0"

#######################################################################
## Ruby
#######################################################################

ruby_gems:
  - name: bundler
    version: "2.0.2"
  - name: cocoapods
    version: "1.8.4"
  - name: fastlane
    version: "2.134.0"
  - name: xcpretty
    version: "0.3.0"

#######################################################################
## Python
#######################################################################

pip_packages:
  - name: pipenv
    version: "2018.11.26"

#######################################################################
## Node
#######################################################################

npm_packages:
  - name: yarn
    version: "1.19.1"
